<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [writePort](./bitburner.ns.writeport.md)

## NS.writePort() method

Write data to a port.

**Signature:**

```typescript
writePort(portNumber: number, data: string | number): PortData | null;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  portNumber | number | Port to write to. Must be a positive integer. |
|  data | string \| number | Data to write. |

**Returns:**

[PortData](./bitburner.portdata.md) \| null

The data popped off the queue if it was full, or null if it was not full.

## Remarks

RAM cost: 0 GB

Write data to the given Netscript port.

